### Method

# Gtk Widgetactivate_action

#### Declaration [src]

    gboolean
    gtk_widget_activate_action (
      GtkWidget* widget,
      const char* name,
      const char* format_string,
      ...
    )

#### Description [src]

Looks up the action in the action groups associated with `widget` and its ancestors, and activates it.

This is a wrapper around `gtk_widget_activate_action_variant()` that constructs the `args` variant according to `format_string`.

This method is not directly available to language bindings.

The implementation of this method is provided by `gtk_widget_activate_action_variant()` in language bindings

#### Parameters

`name`

  Type: `const char*`

  The name of the action to activate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format_string`

  Type: `const char*`

  GVariant format string for arguments.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments, as given by format string.

#### Return value

Type: `gboolean`

`TRUE` if the action was activated, `FALSE` if the action does not exist.